# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name vector

%global common_summary Efficient Arrays

%global common_description An efficient implementation of Int-indexed arrays (both mutable and\
immutable), with a powerful loop fusion optimization framework.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2012.4
Version:        0.10.0.1
Release:        4%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         vector-debian-no_ann_without_ghci.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-primitive-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
# Monad.hs fails on ppc too
%ifnarch %(echo %{ghc_arches_with_ghci} | sed -e s/ppc//)
%patch1 -p1 -b .orig
%endif


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Dec 12 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-4
- also skip the annotation for ppc

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-3
- correct the annotation patch to not use DEBIAN_NO_GHCI

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-2
- skip Data.Vector.Fusion.Stream.Monadic annotation on archs without ghci
  and build on all archs

* Tue Nov 27 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-1
- update to 0.10.0.1, part of haskell-platform-2012.4

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com>
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-4
- change prof BRs to devel

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-3
- add license to ghc_files

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-2
- only build on ghc_arches_with_ghci because of annotation use

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- update to 0.9.1 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.7.1-2.1
- rebuild with new gmp without compat lib

* Tue Sep 13 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- rebuild against newer ghc-rpm-macros

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- BSD license

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
